Index: libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-disk-drive-cache-v2-wt.args
===================================================================
--- libvirt-3.3.0.orig/tests/qemuxml2argvdata/qemuxml2argv-disk-drive-cache-v2-wt.args
+++ libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-disk-drive-cache-v2-wt.args
@@ -13,7 +13,9 @@ QEMU_AUDIO_DRV=none \
 -uuid c7a5fdbd-edaf-9455-926a-d65c16db1809 \
 -nographic \
 -nodefaults \
--monitor unix:/tmp/lib/domain--1-QEMUGuest1/monitor.sock,server,nowait \
+-chardev socket,id=charmonitor,path=/tmp/lib/domain--1-QEMUGuest1/monitor.sock,\
+server,nowait \
+-mon chardev=charmonitor,id=monitor,mode=readline \
 -no-acpi \
 -boot c \
 -usb \
Index: libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-disk-drive-copy-on-read.args
===================================================================
--- libvirt-3.3.0.orig/tests/qemuxml2argvdata/qemuxml2argv-disk-drive-copy-on-read.args
+++ libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-disk-drive-copy-on-read.args
@@ -13,7 +13,9 @@ QEMU_AUDIO_DRV=none \
 -uuid c7a5fdbd-edaf-9455-926a-d65c16db1809 \
 -nographic \
 -nodefaults \
--monitor unix:/tmp/lib/domain--1-QEMUGuest1/monitor.sock,server,nowait \
+-chardev socket,id=charmonitor,path=/tmp/lib/domain--1-QEMUGuest1/monitor.sock,\
+server,nowait \
+-mon chardev=charmonitor,id=monitor,mode=readline \
 -no-acpi \
 -boot c \
 -usb \
Index: libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-disk-drive-detect-zeroes.args
===================================================================
--- libvirt-3.3.0.orig/tests/qemuxml2argvdata/qemuxml2argv-disk-drive-detect-zeroes.args
+++ libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-disk-drive-detect-zeroes.args
@@ -13,7 +13,9 @@ QEMU_AUDIO_DRV=none \
 -uuid 92d7a226-cfae-425b-a6d3-00bbf9ec5c9e \
 -nographic \
 -nodefaults \
--monitor unix:/tmp/lib/domain--1-test/monitor.sock,server,nowait \
+-chardev socket,id=charmonitor,path=/tmp/lib/domain--1-test/monitor.sock,\
+server,nowait \
+-mon chardev=charmonitor,id=monitor,mode=readline \
 -no-acpi \
 -boot dc \
 -usb \
Index: libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-disk-drive-discard.args
===================================================================
--- libvirt-3.3.0.orig/tests/qemuxml2argvdata/qemuxml2argv-disk-drive-discard.args
+++ libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-disk-drive-discard.args
@@ -13,7 +13,9 @@ QEMU_AUDIO_DRV=none \
 -uuid 92d7a226-cfae-425b-a6d3-00bbf9ec5c9e \
 -nographic \
 -nodefaults \
--monitor unix:/tmp/lib/domain--1-test/monitor.sock,server,nowait \
+-chardev socket,id=charmonitor,path=/tmp/lib/domain--1-test/monitor.sock,\
+server,nowait \
+-mon chardev=charmonitor,id=monitor,mode=readline \
 -no-acpi \
 -boot dc \
 -usb \
Index: libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-disk-drive-error-policy-enospace.args
===================================================================
--- libvirt-3.3.0.orig/tests/qemuxml2argvdata/qemuxml2argv-disk-drive-error-policy-enospace.args
+++ libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-disk-drive-error-policy-enospace.args
@@ -13,7 +13,9 @@ QEMU_AUDIO_DRV=none \
 -uuid c7a5fdbd-edaf-9455-926a-d65c16db1809 \
 -nographic \
 -nodefaults \
--monitor control,unix:/tmp/lib/domain--1-QEMUGuest1/monitor.sock,server,nowait \
+-chardev socket,id=charmonitor,path=/tmp/lib/domain--1-QEMUGuest1/monitor.sock,\
+server,nowait \
+-mon chardev=charmonitor,id=monitor,mode=control \
 -no-acpi \
 -boot c \
 -usb \
Index: libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-disk-drive-error-policy-stop.args
===================================================================
--- libvirt-3.3.0.orig/tests/qemuxml2argvdata/qemuxml2argv-disk-drive-error-policy-stop.args
+++ libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-disk-drive-error-policy-stop.args
@@ -13,7 +13,9 @@ QEMU_AUDIO_DRV=none \
 -uuid c7a5fdbd-edaf-9455-926a-d65c16db1809 \
 -nographic \
 -nodefaults \
--monitor control,unix:/tmp/lib/domain--1-QEMUGuest1/monitor.sock,server,nowait \
+-chardev socket,id=charmonitor,path=/tmp/lib/domain--1-QEMUGuest1/monitor.sock,\
+server,nowait \
+-mon chardev=charmonitor,id=monitor,mode=control \
 -no-acpi \
 -boot c \
 -usb \
Index: libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-disk-drive-error-policy-wreport-rignore.args
===================================================================
--- libvirt-3.3.0.orig/tests/qemuxml2argvdata/qemuxml2argv-disk-drive-error-policy-wreport-rignore.args
+++ libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-disk-drive-error-policy-wreport-rignore.args
@@ -13,7 +13,9 @@ QEMU_AUDIO_DRV=none \
 -uuid c7a5fdbd-edaf-9455-926a-d65c16db1809 \
 -nographic \
 -nodefaults \
--monitor control,unix:/tmp/lib/domain--1-QEMUGuest1/monitor.sock,server,nowait \
+-chardev socket,id=charmonitor,path=/tmp/lib/domain--1-QEMUGuest1/monitor.sock,\
+server,nowait \
+-mon chardev=charmonitor,id=monitor,mode=control \
 -no-acpi \
 -boot c \
 -usb \
Index: libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-disk-drive-fmt-qcow.args
===================================================================
--- libvirt-3.3.0.orig/tests/qemuxml2argvdata/qemuxml2argv-disk-drive-fmt-qcow.args
+++ libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-disk-drive-fmt-qcow.args
@@ -13,7 +13,9 @@ QEMU_AUDIO_DRV=none \
 -uuid c7a5fdbd-edaf-9455-926a-d65c16db1809 \
 -nographic \
 -nodefaults \
--monitor unix:/tmp/lib/domain--1-QEMUGuest1/monitor.sock,server,nowait \
+-chardev socket,id=charmonitor,path=/tmp/lib/domain--1-QEMUGuest1/monitor.sock,\
+server,nowait \
+-mon chardev=charmonitor,id=monitor,mode=readline \
 -no-acpi \
 -boot c \
 -usb \
Index: libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-disk-drive-network-gluster.args
===================================================================
--- libvirt-3.3.0.orig/tests/qemuxml2argvdata/qemuxml2argv-disk-drive-network-gluster.args
+++ libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-disk-drive-network-gluster.args
@@ -13,7 +13,9 @@ QEMU_AUDIO_DRV=none \
 -uuid c7a5fdbd-edaf-9455-926a-d65c16db1809 \
 -nographic \
 -nodefaults \
--monitor unix:/tmp/lib/domain--1-QEMUGuest1/monitor.sock,server,nowait \
+-chardev socket,id=charmonitor,path=/tmp/lib/domain--1-QEMUGuest1/monitor.sock,\
+server,nowait \
+-mon chardev=charmonitor,id=monitor,mode=readline \
 -no-acpi \
 -boot c \
 -usb \
Index: libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-disk-drive-network-iscsi-auth.args
===================================================================
--- libvirt-3.3.0.orig/tests/qemuxml2argvdata/qemuxml2argv-disk-drive-network-iscsi-auth.args
+++ libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-disk-drive-network-iscsi-auth.args
@@ -13,7 +13,9 @@ QEMU_AUDIO_DRV=none \
 -uuid c7a5fdbd-edaf-9455-926a-d65c16db1809 \
 -nographic \
 -nodefaults \
--monitor unix:/tmp/lib/domain--1-QEMUGuest1/monitor.sock,server,nowait \
+-chardev socket,id=charmonitor,path=/tmp/lib/domain--1-QEMUGuest1/monitor.sock,\
+server,nowait \
+-mon chardev=charmonitor,id=monitor,mode=readline \
 -no-acpi \
 -boot c \
 -usb \
Index: libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-disk-drive-network-iscsi-lun.args
===================================================================
--- libvirt-3.3.0.orig/tests/qemuxml2argvdata/qemuxml2argv-disk-drive-network-iscsi-lun.args
+++ libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-disk-drive-network-iscsi-lun.args
@@ -14,7 +14,9 @@ QEMU_AUDIO_DRV=none \
 -nographic \
 -nodefconfig \
 -nodefaults \
--monitor unix:/tmp/lib/domain--1-QEMUGuest1/monitor.sock,server,nowait \
+-chardev socket,id=charmonitor,path=/tmp/lib/domain--1-QEMUGuest1/monitor.sock,\
+server,nowait \
+-mon chardev=charmonitor,id=monitor,mode=readline \
 -no-acpi \
 -boot c \
 -device virtio-scsi-pci,id=scsi0,bus=pci.0,addr=0x3 \
Index: libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-disk-drive-network-iscsi.args
===================================================================
--- libvirt-3.3.0.orig/tests/qemuxml2argvdata/qemuxml2argv-disk-drive-network-iscsi.args
+++ libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-disk-drive-network-iscsi.args
@@ -13,7 +13,9 @@ QEMU_AUDIO_DRV=none \
 -uuid c7a5fdbd-edaf-9455-926a-d65c16db1809 \
 -nographic \
 -nodefaults \
--monitor unix:/tmp/lib/domain--1-QEMUGuest1/monitor.sock,server,nowait \
+-chardev socket,id=charmonitor,path=/tmp/lib/domain--1-QEMUGuest1/monitor.sock,\
+server,nowait \
+-mon chardev=charmonitor,id=monitor,mode=readline \
 -no-acpi \
 -boot c \
 -usb \
Index: libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-disk-drive-network-nbd-export.args
===================================================================
--- libvirt-3.3.0.orig/tests/qemuxml2argvdata/qemuxml2argv-disk-drive-network-nbd-export.args
+++ libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-disk-drive-network-nbd-export.args
@@ -13,7 +13,9 @@ QEMU_AUDIO_DRV=none \
 -uuid c7a5fdbd-edaf-9455-926a-d65c16db1809 \
 -nographic \
 -nodefaults \
--monitor unix:/tmp/lib/domain--1-QEMUGuest1/monitor.sock,server,nowait \
+-chardev socket,id=charmonitor,path=/tmp/lib/domain--1-QEMUGuest1/monitor.sock,\
+server,nowait \
+-mon chardev=charmonitor,id=monitor,mode=readline \
 -no-acpi \
 -boot c \
 -usb \
Index: libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-disk-drive-network-nbd-ipv6-export.args
===================================================================
--- libvirt-3.3.0.orig/tests/qemuxml2argvdata/qemuxml2argv-disk-drive-network-nbd-ipv6-export.args
+++ libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-disk-drive-network-nbd-ipv6-export.args
@@ -13,7 +13,9 @@ QEMU_AUDIO_DRV=none \
 -uuid c7a5fdbd-edaf-9455-926a-d65c16db1809 \
 -nographic \
 -nodefaults \
--monitor unix:/tmp/lib/domain--1-QEMUGuest1/monitor.sock,server,nowait \
+-chardev socket,id=charmonitor,path=/tmp/lib/domain--1-QEMUGuest1/monitor.sock,\
+server,nowait \
+-mon chardev=charmonitor,id=monitor,mode=readline \
 -no-acpi \
 -boot c \
 -usb \
Index: libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-disk-drive-network-nbd-ipv6.args
===================================================================
--- libvirt-3.3.0.orig/tests/qemuxml2argvdata/qemuxml2argv-disk-drive-network-nbd-ipv6.args
+++ libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-disk-drive-network-nbd-ipv6.args
@@ -13,7 +13,9 @@ QEMU_AUDIO_DRV=none \
 -uuid c7a5fdbd-edaf-9455-926a-d65c16db1809 \
 -nographic \
 -nodefaults \
--monitor unix:/tmp/lib/domain--1-QEMUGuest1/monitor.sock,server,nowait \
+-chardev socket,id=charmonitor,path=/tmp/lib/domain--1-QEMUGuest1/monitor.sock,\
+server,nowait \
+-mon chardev=charmonitor,id=monitor,mode=readline \
 -no-acpi \
 -boot c \
 -usb \
Index: libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-disk-drive-network-nbd-unix.args
===================================================================
--- libvirt-3.3.0.orig/tests/qemuxml2argvdata/qemuxml2argv-disk-drive-network-nbd-unix.args
+++ libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-disk-drive-network-nbd-unix.args
@@ -13,7 +13,9 @@ QEMU_AUDIO_DRV=none \
 -uuid c7a5fdbd-edaf-9455-926a-d65c16db1809 \
 -nographic \
 -nodefaults \
--monitor unix:/tmp/lib/domain--1-QEMUGuest1/monitor.sock,server,nowait \
+-chardev socket,id=charmonitor,path=/tmp/lib/domain--1-QEMUGuest1/monitor.sock,\
+server,nowait \
+-mon chardev=charmonitor,id=monitor,mode=readline \
 -no-acpi \
 -boot c \
 -usb \
Index: libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-disk-drive-network-nbd.args
===================================================================
--- libvirt-3.3.0.orig/tests/qemuxml2argvdata/qemuxml2argv-disk-drive-network-nbd.args
+++ libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-disk-drive-network-nbd.args
@@ -13,7 +13,9 @@ QEMU_AUDIO_DRV=none \
 -uuid c7a5fdbd-edaf-9455-926a-d65c16db1809 \
 -nographic \
 -nodefaults \
--monitor unix:/tmp/lib/domain--1-QEMUGuest1/monitor.sock,server,nowait \
+-chardev socket,id=charmonitor,path=/tmp/lib/domain--1-QEMUGuest1/monitor.sock,\
+server,nowait \
+-mon chardev=charmonitor,id=monitor,mode=readline \
 -no-acpi \
 -boot c \
 -usb \
Index: libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-disk-drive-network-rbd-auth-AES.args
===================================================================
--- libvirt-3.3.0.orig/tests/qemuxml2argvdata/qemuxml2argv-disk-drive-network-rbd-auth-AES.args
+++ libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-disk-drive-network-rbd-auth-AES.args
@@ -15,7 +15,9 @@ file=/tmp/lib/domain--1-QEMUGuest1/maste
 -uuid c7a5fdbd-edaf-9455-926a-d65c16db1809 \
 -nographic \
 -nodefaults \
--monitor unix:/tmp/lib/domain--1-QEMUGuest1/monitor.sock,server,nowait \
+-chardev socket,id=charmonitor,path=/tmp/lib/domain--1-QEMUGuest1/monitor.sock,\
+server,nowait \
+-mon chardev=charmonitor,id=monitor,mode=readline \
 -no-acpi \
 -boot c \
 -device virtio-scsi-pci,id=scsi0,bus=pci.0,addr=0x3 \
Index: libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-disk-drive-network-rbd-auth.args
===================================================================
--- libvirt-3.3.0.orig/tests/qemuxml2argvdata/qemuxml2argv-disk-drive-network-rbd-auth.args
+++ libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-disk-drive-network-rbd-auth.args
@@ -13,7 +13,9 @@ QEMU_AUDIO_DRV=none \
 -uuid c7a5fdbd-edaf-9455-926a-d65c16db1809 \
 -nographic \
 -nodefaults \
--monitor unix:/tmp/lib/domain--1-QEMUGuest1/monitor.sock,server,nowait \
+-chardev socket,id=charmonitor,path=/tmp/lib/domain--1-QEMUGuest1/monitor.sock,\
+server,nowait \
+-mon chardev=charmonitor,id=monitor,mode=readline \
 -no-acpi \
 -boot c \
 -usb \
Index: libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-disk-drive-network-rbd-ipv6.args
===================================================================
--- libvirt-3.3.0.orig/tests/qemuxml2argvdata/qemuxml2argv-disk-drive-network-rbd-ipv6.args
+++ libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-disk-drive-network-rbd-ipv6.args
@@ -13,7 +13,9 @@ QEMU_AUDIO_DRV=none \
 -uuid c7a5fdbd-edaf-9455-926a-d65c16db1809 \
 -nographic \
 -nodefaults \
--monitor unix:/tmp/lib/domain--1-QEMUGuest1/monitor.sock,server,nowait \
+-chardev socket,id=charmonitor,path=/tmp/lib/domain--1-QEMUGuest1/monitor.sock,\
+server,nowait \
+-mon chardev=charmonitor,id=monitor,mode=readline \
 -no-acpi \
 -boot c \
 -usb \
Index: libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-disk-drive-network-rbd.args
===================================================================
--- libvirt-3.3.0.orig/tests/qemuxml2argvdata/qemuxml2argv-disk-drive-network-rbd.args
+++ libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-disk-drive-network-rbd.args
@@ -13,7 +13,9 @@ QEMU_AUDIO_DRV=none \
 -uuid c7a5fdbd-edaf-9455-926a-d65c16db1809 \
 -nographic \
 -nodefaults \
--monitor unix:/tmp/lib/domain--1-QEMUGuest1/monitor.sock,server,nowait \
+-chardev socket,id=charmonitor,path=/tmp/lib/domain--1-QEMUGuest1/monitor.sock,\
+server,nowait \
+-mon chardev=charmonitor,id=monitor,mode=readline \
 -no-acpi \
 -boot c \
 -usb \
Index: libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-disk-drive-network-sheepdog.args
===================================================================
--- libvirt-3.3.0.orig/tests/qemuxml2argvdata/qemuxml2argv-disk-drive-network-sheepdog.args
+++ libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-disk-drive-network-sheepdog.args
@@ -13,7 +13,9 @@ QEMU_AUDIO_DRV=none \
 -uuid c7a5fdbd-edaf-9455-926a-d65c16db1809 \
 -nographic \
 -nodefaults \
--monitor unix:/tmp/lib/domain--1-QEMUGuest1/monitor.sock,server,nowait \
+-chardev socket,id=charmonitor,path=/tmp/lib/domain--1-QEMUGuest1/monitor.sock,\
+server,nowait \
+-mon chardev=charmonitor,id=monitor,mode=readline \
 -no-acpi \
 -boot c \
 -usb \
Index: libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-disk-drive-no-boot.args
===================================================================
--- libvirt-3.3.0.orig/tests/qemuxml2argvdata/qemuxml2argv-disk-drive-no-boot.args
+++ libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-disk-drive-no-boot.args
@@ -13,7 +13,9 @@ QEMU_AUDIO_DRV=none \
 -uuid c7a5fdbd-edaf-9455-926a-d65c16db1809 \
 -nographic \
 -nodefaults \
--monitor unix:/tmp/lib/domain--1-QEMUGuest1/monitor.sock,server,nowait \
+-chardev socket,id=charmonitor,path=/tmp/lib/domain--1-QEMUGuest1/monitor.sock,\
+server,nowait \
+-mon chardev=charmonitor,id=monitor,mode=readline \
 -no-acpi \
 -usb \
 -drive file=/dev/HostVG/QEMUGuest1,format=raw,if=none,id=drive-ide0-0-0 \
Index: libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-disk-drive-readonly-disk.args
===================================================================
--- libvirt-3.3.0.orig/tests/qemuxml2argvdata/qemuxml2argv-disk-drive-readonly-disk.args
+++ libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-disk-drive-readonly-disk.args
@@ -14,7 +14,9 @@ QEMU_AUDIO_DRV=none \
 -nographic \
 -nodefconfig \
 -nodefaults \
--monitor unix:/tmp/lib/domain--1-QEMUGuest1/monitor.sock,server,nowait \
+-chardev socket,id=charmonitor,path=/tmp/lib/domain--1-QEMUGuest1/monitor.sock,\
+server,nowait \
+-mon chardev=charmonitor,id=monitor,mode=readline \
 -no-acpi \
 -boot c \
 -usb \
Index: libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-disk-drive-readonly-no-device.args
===================================================================
--- libvirt-3.3.0.orig/tests/qemuxml2argvdata/qemuxml2argv-disk-drive-readonly-no-device.args
+++ libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-disk-drive-readonly-no-device.args
@@ -14,7 +14,9 @@ QEMU_AUDIO_DRV=none \
 -nographic \
 -nodefconfig \
 -nodefaults \
--monitor unix:/tmp/lib/domain--1-QEMUGuest1/monitor.sock,server,nowait \
+-chardev socket,id=charmonitor,path=/tmp/lib/domain--1-QEMUGuest1/monitor.sock,\
+server,nowait \
+-mon chardev=charmonitor,id=monitor,mode=readline \
 -no-acpi \
 -boot c \
 -usb \
Index: libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-disk-drive-shared.args
===================================================================
--- libvirt-3.3.0.orig/tests/qemuxml2argvdata/qemuxml2argv-disk-drive-shared.args
+++ libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-disk-drive-shared.args
@@ -13,7 +13,9 @@ QEMU_AUDIO_DRV=none \
 -uuid c7a5fdbd-edaf-9455-926a-d65c16db1809 \
 -nographic \
 -nodefaults \
--monitor unix:/tmp/lib/domain--1-QEMUGuest1/monitor.sock,server,nowait \
+-chardev socket,id=charmonitor,path=/tmp/lib/domain--1-QEMUGuest1/monitor.sock,\
+server,nowait \
+-mon chardev=charmonitor,id=monitor,mode=readline \
 -no-acpi \
 -boot c \
 -usb \
Index: libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-disk-floppy-tray-no-device-cap.args
===================================================================
--- libvirt-3.3.0.orig/tests/qemuxml2argvdata/qemuxml2argv-disk-floppy-tray-no-device-cap.args
+++ libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-disk-floppy-tray-no-device-cap.args
@@ -13,7 +13,9 @@ QEMU_AUDIO_DRV=none \
 -uuid c7a5fdbd-edaf-9455-926a-d65c16db1809 \
 -nographic \
 -nodefaults \
--monitor unix:/tmp/lib/domain--1-QEMUGuest1/monitor.sock,server,nowait \
+-chardev socket,id=charmonitor,path=/tmp/lib/domain--1-QEMUGuest1/monitor.sock,\
+server,nowait \
+-mon chardev=charmonitor,id=monitor,mode=readline \
 -no-acpi \
 -boot c \
 -usb \
Index: libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-disk-floppy-tray.args
===================================================================
--- libvirt-3.3.0.orig/tests/qemuxml2argvdata/qemuxml2argv-disk-floppy-tray.args
+++ libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-disk-floppy-tray.args
@@ -13,7 +13,9 @@ QEMU_AUDIO_DRV=none \
 -uuid c7a5fdbd-edaf-9455-926a-d65c16db1809 \
 -nographic \
 -nodefaults \
--monitor unix:/tmp/lib/domain--1-QEMUGuest1/monitor.sock,server,nowait \
+-chardev socket,id=charmonitor,path=/tmp/lib/domain--1-QEMUGuest1/monitor.sock,\
+server,nowait \
+-mon chardev=charmonitor,id=monitor,mode=readline \
 -no-acpi \
 -boot c \
 -usb \
Index: libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-disk-floppy.args
===================================================================
--- libvirt-3.3.0.orig/tests/qemuxml2argvdata/qemuxml2argv-disk-floppy.args
+++ libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-disk-floppy.args
@@ -13,7 +13,9 @@ QEMU_AUDIO_DRV=none \
 -uuid c7a5fdbd-edaf-9455-926a-d65c16db1809 \
 -nographic \
 -nodefaults \
--monitor unix:/tmp/lib/domain--1-QEMUGuest1/monitor.sock,server,nowait \
+-chardev socket,id=charmonitor,path=/tmp/lib/domain--1-QEMUGuest1/monitor.sock,\
+server,nowait \
+-mon chardev=charmonitor,id=monitor,mode=readline \
 -no-acpi \
 -boot c \
 -usb \
Index: libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-disk-geometry.args
===================================================================
--- libvirt-3.3.0.orig/tests/qemuxml2argvdata/qemuxml2argv-disk-geometry.args
+++ libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-disk-geometry.args
@@ -13,7 +13,9 @@ QEMU_AUDIO_DRV=none \
 -uuid c7a5fdbd-edaf-9455-926a-d65c16db1809 \
 -nographic \
 -nodefaults \
--monitor unix:/tmp/lib/domain--1-QEMUGuest1/monitor.sock,server,nowait \
+-chardev socket,id=charmonitor,path=/tmp/lib/domain--1-QEMUGuest1/monitor.sock,\
+server,nowait \
+-mon chardev=charmonitor,id=monitor,mode=readline \
 -no-acpi \
 -boot c \
 -usb \
Index: libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-disk-ide-drive-split.args
===================================================================
--- libvirt-3.3.0.orig/tests/qemuxml2argvdata/qemuxml2argv-disk-ide-drive-split.args
+++ libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-disk-ide-drive-split.args
@@ -14,7 +14,9 @@ QEMU_AUDIO_DRV=none \
 -nographic \
 -nodefconfig \
 -nodefaults \
--monitor unix:/tmp/lib/domain--1-QEMUGuest1/monitor.sock,server,nowait \
+-chardev socket,id=charmonitor,path=/tmp/lib/domain--1-QEMUGuest1/monitor.sock,\
+server,nowait \
+-mon chardev=charmonitor,id=monitor,mode=readline \
 -no-acpi \
 -boot c \
 -usb \
Index: libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-disk-ide-wwn.args
===================================================================
--- libvirt-3.3.0.orig/tests/qemuxml2argvdata/qemuxml2argv-disk-ide-wwn.args
+++ libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-disk-ide-wwn.args
@@ -13,7 +13,9 @@ QEMU_AUDIO_DRV=none \
 -uuid c7a5fdbd-edaf-9455-926a-d65c16db1809 \
 -nographic \
 -nodefaults \
--monitor unix:/tmp/lib/domain--1-QEMUGuest1/monitor.sock,server,nowait \
+-chardev socket,id=charmonitor,path=/tmp/lib/domain--1-QEMUGuest1/monitor.sock,\
+server,nowait \
+-mon chardev=charmonitor,id=monitor,mode=readline \
 -no-acpi \
 -boot c \
 -usb \
Index: libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-disk-ioeventfd.args
===================================================================
--- libvirt-3.3.0.orig/tests/qemuxml2argvdata/qemuxml2argv-disk-ioeventfd.args
+++ libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-disk-ioeventfd.args
@@ -13,7 +13,9 @@ QEMU_AUDIO_DRV=none \
 -uuid 8c273d77-39b0-47c4-9714-6dddcad56b88 \
 -nographic \
 -nodefaults \
--monitor unix:/tmp/lib/domain--1-test/monitor.sock,server,nowait \
+-chardev socket,id=charmonitor,path=/tmp/lib/domain--1-test/monitor.sock,\
+server,nowait \
+-mon chardev=charmonitor,id=monitor,mode=readline \
 -no-acpi \
 -boot dc \
 -device virtio-serial-pci,id=virtio-serial0,bus=pci.0,addr=0x6 \
Index: libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-disk-iscsi.args
===================================================================
--- libvirt-3.3.0.orig/tests/qemuxml2argvdata/qemuxml2argv-disk-iscsi.args
+++ libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-disk-iscsi.args
@@ -13,7 +13,9 @@ QEMU_AUDIO_DRV=none \
 -uuid c7a5fdbd-edaf-9455-926a-d65c16db1809 \
 -nographic \
 -nodefaults \
--monitor unix:/tmp/lib/domain--1-QEMUGuest1/monitor.sock,server,nowait \
+-chardev socket,id=charmonitor,path=/tmp/lib/domain--1-QEMUGuest1/monitor.sock,\
+server,nowait \
+-mon chardev=charmonitor,id=monitor,mode=readline \
 -no-acpi \
 -boot c \
 -usb \
Index: libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-disk-many.args
===================================================================
--- libvirt-3.3.0.orig/tests/qemuxml2argvdata/qemuxml2argv-disk-many.args
+++ libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-disk-many.args
@@ -13,7 +13,9 @@ QEMU_AUDIO_DRV=none \
 -uuid c7a5fdbd-edaf-9455-926a-d65c16db1809 \
 -nographic \
 -nodefaults \
--monitor unix:/tmp/lib/domain--1-QEMUGuest1/monitor.sock,server,nowait \
+-chardev socket,id=charmonitor,path=/tmp/lib/domain--1-QEMUGuest1/monitor.sock,\
+server,nowait \
+-mon chardev=charmonitor,id=monitor,mode=readline \
 -no-acpi \
 -boot c \
 -usb \
Index: libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-disk-order.args
===================================================================
--- libvirt-3.3.0.orig/tests/qemuxml2argvdata/qemuxml2argv-disk-order.args
+++ libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-disk-order.args
@@ -13,7 +13,9 @@ QEMU_AUDIO_DRV=none \
 -uuid c7a5fdbd-edaf-9455-926a-d65c16db1809 \
 -nographic \
 -nodefaults \
--monitor unix:/tmp/lib/domain--1-QEMUGuest1/monitor.sock,server,nowait \
+-chardev socket,id=charmonitor,path=/tmp/lib/domain--1-QEMUGuest1/monitor.sock,\
+server,nowait \
+-mon chardev=charmonitor,id=monitor,mode=readline \
 -no-acpi \
 -boot c \
 -usb \
Index: libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-disk-sata-device.args
===================================================================
--- libvirt-3.3.0.orig/tests/qemuxml2argvdata/qemuxml2argv-disk-sata-device.args
+++ libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-disk-sata-device.args
@@ -14,7 +14,9 @@ QEMU_AUDIO_DRV=none \
 -nographic \
 -nodefconfig \
 -nodefaults \
--monitor unix:/tmp/lib/domain--1-QEMUGuest1/monitor.sock,server,nowait \
+-chardev socket,id=charmonitor,path=/tmp/lib/domain--1-QEMUGuest1/monitor.sock,\
+server,nowait \
+-mon chardev=charmonitor,id=monitor,mode=readline \
 -no-acpi \
 -boot c \
 -device ahci,id=sata0,bus=pci.0,addr=0x3 \
Index: libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-disk-scsi-device-auto.args
===================================================================
--- libvirt-3.3.0.orig/tests/qemuxml2argvdata/qemuxml2argv-disk-scsi-device-auto.args
+++ libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-disk-scsi-device-auto.args
@@ -14,7 +14,9 @@ QEMU_AUDIO_DRV=none \
 -nographic \
 -nodefconfig \
 -nodefaults \
--monitor unix:/tmp/lib/domain--1-QEMUGuest1/monitor.sock,server,nowait \
+-chardev socket,id=charmonitor,path=/tmp/lib/domain--1-QEMUGuest1/monitor.sock,\
+server,nowait \
+-mon chardev=charmonitor,id=monitor,mode=readline \
 -no-acpi \
 -boot c \
 -device lsi,id=scsi0,bus=pci.0,addr=0x3 \
Index: libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-disk-scsi-device.args
===================================================================
--- libvirt-3.3.0.orig/tests/qemuxml2argvdata/qemuxml2argv-disk-scsi-device.args
+++ libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-disk-scsi-device.args
@@ -14,7 +14,9 @@ QEMU_AUDIO_DRV=none \
 -nographic \
 -nodefconfig \
 -nodefaults \
--monitor unix:/tmp/lib/domain--1-QEMUGuest1/monitor.sock,server,nowait \
+-chardev socket,id=charmonitor,path=/tmp/lib/domain--1-QEMUGuest1/monitor.sock,\
+server,nowait \
+-mon chardev=charmonitor,id=monitor,mode=readline \
 -no-acpi \
 -boot c \
 -device lsi,id=scsi0,bus=pci.0,addr=0x3 \
Index: libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-disk-scsi-disk-split.args
===================================================================
--- libvirt-3.3.0.orig/tests/qemuxml2argvdata/qemuxml2argv-disk-scsi-disk-split.args
+++ libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-disk-scsi-disk-split.args
@@ -14,7 +14,9 @@ QEMU_AUDIO_DRV=none \
 -nographic \
 -nodefconfig \
 -nodefaults \
--monitor unix:/tmp/lib/domain--1-QEMUGuest1/monitor.sock,server,nowait \
+-chardev socket,id=charmonitor,path=/tmp/lib/domain--1-QEMUGuest1/monitor.sock,\
+server,nowait \
+-mon chardev=charmonitor,id=monitor,mode=readline \
 -no-acpi \
 -boot c \
 -device virtio-scsi-pci,id=scsi0,bus=pci.0,addr=0x3 \
Index: libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-disk-scsi-disk-vpd.args
===================================================================
--- libvirt-3.3.0.orig/tests/qemuxml2argvdata/qemuxml2argv-disk-scsi-disk-vpd.args
+++ libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-disk-scsi-disk-vpd.args
@@ -14,7 +14,9 @@ QEMU_AUDIO_DRV=none \
 -nographic \
 -nodefconfig \
 -nodefaults \
--monitor unix:/tmp/lib/domain--1-QEMUGuest1/monitor.sock,server,nowait \
+-chardev socket,id=charmonitor,path=/tmp/lib/domain--1-QEMUGuest1/monitor.sock,\
+server,nowait \
+-mon chardev=charmonitor,id=monitor,mode=readline \
 -no-acpi \
 -boot c \
 -device virtio-scsi-pci,id=scsi0,bus=pci.0,addr=0x3 \
Index: libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-disk-scsi-disk-wwn.args
===================================================================
--- libvirt-3.3.0.orig/tests/qemuxml2argvdata/qemuxml2argv-disk-scsi-disk-wwn.args
+++ libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-disk-scsi-disk-wwn.args
@@ -14,7 +14,9 @@ QEMU_AUDIO_DRV=none \
 -nographic \
 -nodefconfig \
 -nodefaults \
--monitor unix:/tmp/lib/domain--1-QEMUGuest1/monitor.sock,server,nowait \
+-chardev socket,id=charmonitor,path=/tmp/lib/domain--1-QEMUGuest1/monitor.sock,\
+server,nowait \
+-mon chardev=charmonitor,id=monitor,mode=readline \
 -no-acpi \
 -boot c \
 -device virtio-scsi-pci,id=scsi0,bus=pci.0,addr=0x3 \
Index: libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-disk-scsi-lun-passthrough.args
===================================================================
--- libvirt-3.3.0.orig/tests/qemuxml2argvdata/qemuxml2argv-disk-scsi-lun-passthrough.args
+++ libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-disk-scsi-lun-passthrough.args
@@ -13,7 +13,9 @@ QEMU_AUDIO_DRV=none \
 -uuid c7a5fdbd-edaf-9455-926a-d65c16db1809 \
 -nographic \
 -nodefaults \
--monitor unix:/tmp/lib/domain--1-QEMUGuest1/monitor.sock,server,nowait \
+-chardev socket,id=charmonitor,path=/tmp/lib/domain--1-QEMUGuest1/monitor.sock,\
+server,nowait \
+-mon chardev=charmonitor,id=monitor,mode=readline \
 -no-acpi \
 -boot c \
 -device virtio-scsi-pci,id=scsi0,bus=pci.0,addr=0x3 \
Index: libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-disk-scsi-megasas.args
===================================================================
--- libvirt-3.3.0.orig/tests/qemuxml2argvdata/qemuxml2argv-disk-scsi-megasas.args
+++ libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-disk-scsi-megasas.args
@@ -14,7 +14,9 @@ QEMU_AUDIO_DRV=none \
 -nographic \
 -nodefconfig \
 -nodefaults \
--monitor unix:/tmp/lib/domain--1-QEMUGuest1/monitor.sock,server,nowait \
+-chardev socket,id=charmonitor,path=/tmp/lib/domain--1-QEMUGuest1/monitor.sock,\
+server,nowait \
+-mon chardev=charmonitor,id=monitor,mode=readline \
 -no-acpi \
 -boot c \
 -device megasas,id=scsi0,bus=pci.0,addr=0x3 \
Index: libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-disk-scsi-mptsas1068.args
===================================================================
--- libvirt-3.3.0.orig/tests/qemuxml2argvdata/qemuxml2argv-disk-scsi-mptsas1068.args
+++ libvirt-3.3.0/tests/qemuxml2argvdata/qemuxml2argv-disk-scsi-mptsas1068.args
@@ -14,7 +14,9 @@ QEMU_AUDIO_DRV=none \
 -nographic \
 -nodefconfig \
 -nodefaults \
--monitor unix:/tmp/lib/domain--1-QEMUGuest1/monitor.sock,server,nowait \
+-chardev socket,id=charmonitor,path=/tmp/lib/domain--1-QEMUGuest1/monitor.sock,\
+server,nowait \
+-mon chardev=charmonitor,id=monitor,mode=readline \
 -no-acpi \
 -boot c \
 -device mptsas1068,id=scsi0,bus=pci.0,addr=0x3 \
